$(function(){
	if($("#payAmt").val()!=null && $("#payAmt").val()!=""){
		$("#chsPayAmt").val(Chinese($("#payAmt").val()));
	}
});

function saveSupplementInfo(){
	var objId=$("#objId").val();
	var applicantName = $("#applicantName").val();
	var applicantPid = $("#applicantPid").val();
	var accDesc = $("#accDesc").val();
	var payAmt = $("#payAmt").val();
	var chsPayAmt = $("#chsPayAmt").val();
	var jsonStr = '{"objId":"' + objId +'","applicantName":"' +applicantName+'","applicantPid":"' +applicantPid+'","accDesc":"' +accDesc+'","payAmt":"' +payAmt+'","chsPayAmt":"'+chsPayAmt+'"}';
	$.ajax({
		type:"POST",
		contentType:"application/json; charset=UTF-8",
		url:"saveQueryNoticeP0000008.do",
		data:jsonStr,
		error :function(){
			alert("系统错误，请稍后再试。");
		},
		success :function(data){
			if(data=="00"){
				alert("和解给付协议书保存成功。");
			}else{
				alert("和解给付协议书保存失败。");
			}
		}
	});
}


function printSupplementInfo(){
	var objId = $("#objId").val();
	$.ajax({
		type:"POST",
		url:"printP0000008Info.do",
		data:"objId="+objId,
		error :function(){
			alert("系统错误，请稍后再试。");
		},
		success :function(data){
			if(data=="00"){
				alert("打印通知单成功。");
			}else{
				alert("打印通知单失败。");
			}
		}
	});
	
}

function checkIdentityCards(){
	checkIdentityCard($("#applicantPid").val());
}


//数字转大写
function Chinese(num){     
    if(!/^\d*(\.\d*)?$/.test(num))throw(new Error(-1, "Number is wrong!"));     
    var AA = new Array("零","壹","贰","叁","肆","伍","陆","柒","捌","玖");     
    var BB = new Array("","拾","佰","仟","萬","億","圆","");     
    var CC = new Array("角", "分", "厘");     
    var a = (""+ num).replace(/(^0*)/g, "").split("."), k = 0, re = "";     
    for(var i=a[0].length-1; i>=0; i--){     
        switch(k){     
            case 0 : re = BB[7] + re; break;     
            case 4 : if(!new RegExp("0{4}\\d{"+ (a[0].length-i-1) +"}$").test(a[0]))     
                         re = BB[4] + re; break;     
            case 8 : re = BB[5] + re; BB[7] = BB[5]; k = 0; break;     
        }     
        if(k%4 == 2 && a[0].charAt(i)=="0" && a[0].charAt(i+2) != "0") re = AA[0] + re;     
        if(a[0].charAt(i) != 0) re = AA[a[0].charAt(i)] + BB[k%4] + re; k++;     
    }     
    if(a.length>1){     
        re += BB[6];     
        for(var i=0; i<a[1].length; i++){     
            re += AA[a[1].charAt(i)] + CC[i];     
            if(i==2) break;     
        }   
//        if(a[1].charAt(0)=="0" && a[1].charAt(1)=="0"){  
//          re+="圆整";  
//        }    
    }
    else{  
        re+="圆";  
    }     
    return re;     
} 

//数字输入控制并转成大写
function clearNoNum(obj){
  obj.value = obj.value.replace(/[^\d.]/g,"");  //清除“数字”和“.”以外的字符  
  obj.value = obj.value.replace(/^\./g,"");  //验证第一个字符是数字而不是.  
  obj.value = obj.value.replace(/\.{2,}/g,"."); //只保留第一个. 清除多余的  
  obj.value = obj.value.replace(".","$#$").replace(/\./g,"").replace("$#$",".");  
  obj.value=obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3');//只能输入两个小数  
  $("#chsPayAmt").val('');
  $("#chsPayAmt").val(Chinese(obj.value));
}  
